<?php
class dcCatImg {
	

	// give the URL for resource
	public static function getUrl($resource){

		global $core;

		if($core->blog->settings->url_scan == "path_info"){
		
			if (substr($core->blog->url, -1, 1) != "/"){
				$ResRes = $core->blog->url."/".$resource;
			} else {
				$ResRes = $core->blog->url.$resource;
			}

		} else if($core->blog->settings->url_scan == "query_string"){
		
			if (substr($resource, 0, 1) == "?"){
				$resource = substr($resource, 1);
			}

			if (substr($core->blog->url, -1, 1) != "?"){
				$ResRes = $core->blog->url."?".$resource;
			}  else {
				$ResRes = $core->blog->url.$resource;
			}
		}
		return $ResRes;
	}

	public static function getDefaultImg(){

		global $core; 
		
		$defaultimgdir = $core->blog->settings->CatImgs_defaultimage_dir ;
		$defaultimgfile = $core->blog->settings->CatImgs_defaultimage_name ;

		$plugindir = basename(dirname(__FILE__));
		$plugin_img = dcCatImg::getUrl('?pf=/'.$plugindir.'/img/splash_blue.png');
		$template_img_url = $core->blog->host.$core->blog->settings->themes_url.'/'.$core->blog->settings->theme.'/'.$defaultimgdir.'/'.$defaultimgfile;
		$template_img_file = DC_ROOT.'/'.$core->blog->settings->themes_path.'/'.$core->blog->settings->theme.'/'.$defaultimgdir.'/'.$defaultimgfile;
		// default_img 
		$default_img = file_exists($template_img_file) ? $template_img_url : $plugin_img ; 

		return $default_img ;
		
	}

	public static function getImg($cat_desc,$size,$random){

		global $core ;

		$img_src_regexp = '/<img .*?src="(.+?)"/i';

		$ret ='';

		if (preg_match_all($img_src_regexp,$cat_desc,$rsi,PREG_SET_ORDER))
		{
			$ret = '';		
			if ($random) {
				$offset = mt_rand(0,count($rsi)-1) ;
			}
			else { $offset = 0 ; }
			//$ret .= count($rsi) ;
			//$ret .= $rsi[0][1] ;
			$img_thumb = 'img ';
			$img_path = $rsi[$offset][1];

			//découpage de l'url de l'image
			$img_path = parse_url($img_path, PHP_URL_PATH); //si url absolue ?
			
			$path_string = explode("/", $img_path);
			$img_name = array_pop ($path_string);
			$path_string = implode("/", $path_string);

		
			if (substr($img_name,0,1) == '.') 
			{
				//c'est une miniature
				$replace = array ('_t.jpg','_sq.jpg','_s.jpg','_m.jpg');
				$img_short_name = str_replace($replace,'',$img_name);
				if ($size == 'o') 
				{
					$img_thumb_name = $path_string.'/'.ltrim($img_short_name,'.').'.jpg';
				} else {
					$img_thumb_name = $path_string.'/'.$img_short_name.'_'.$size.'.jpg';
				}
			}
		 
			else 
			{
				//c'est l'originale
				$replace = array ('.jpg','.png','.gif');
				$img_short_name = str_replace($replace,'',$img_name);
			
				if ($size == 'o') 
				{
					$img_thumb_name = $path_string.'/'.$img_name;
				} else {
					$img_thumb_name = $path_string.'/.'.$img_short_name.'_'.$size.'.jpg';
				}
			}
			// Test si la miniature demandée existe
			$public_string = $core->blog->settings->public_url;
			$file_name = $core->blog->settings->public_path.str_replace($public_string,'',$img_thumb_name);
		
			if ( ! file_exists($file_name)) 
			{
				$img_thumb_name = $path_string.'/'.$img_name;

			}	
			$ret = $img_thumb_name;

		}
		else
		{
			$ret = dcCatImg::getDefaultImg();
		}
		return $ret ;
		
		
		
	}
	
}
?>
